summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_maintenance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index ab5206f6..909ead5f 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -192,7 +192,7 @@ if grep -q '|' $PACKAGES ; then
echo
echo "Warning: found files relative to old packages, no more in the archive:"
echo "Removing these removed packages from database:"
- cat $PACKAGES
+ sqlite3 -init $INIT -header -column ${PACKAGES_DB} "$QUERY" 2> /dev/null || echo "Warning: SQL query '$QUERY' failed."
echo
for pkg in $(cat $PACKAGES) ; do
PKGNAME=$(echo "$pkg" | cut -d '|' -f 1)